Loading...
Searching...
No Matches
IAccessor< T > Class Template Referenceabstract

Templated accessor interface for accessing individual data (for instance, of an enumerator). More...

`#include <Enumerator.h>`

## Public Types

typedef T | value_type
typedef value_type & | reference
typedef const value_type & | const_reference

## Public Member Functions

virtual reference | Current ()=0
| Gets the current element in the collection (read and write).
virtual const_reference | Current () const =0
| Gets the current element in the collection (read only).

## Protected Member Functions

| IAccessor ()
| ~IAccessor ()

## Detailed Description

template<typename T>
class IAccessor< T >

Templated accessor interface for accessing individual data (for instance, of an enumerator).

T is the type of objects to access, available via the Current() method.

See also
  IBaseEnumerator

Definition at line 81 of file Enumerator.h.

## Member Typedef Documentation

## const_reference

template<typename T>

typedef const value_type& IAccessor< T >::const_reference

Definition at line 86 of file Enumerator.h.

## reference

template<typename T>

typedef value_type& IAccessor< T >::reference

Definition at line 85 of file Enumerator.h.

## value_type

template<typename T>

typedef T IAccessor< T >::value_type

Definition at line 84 of file Enumerator.h.

## Constructor & Destructor Documentation

## IAccessor()

template<typename T>

IAccessor< T >::IAccessor | ( |  | ) |

inline protected

Definition at line 95 of file Enumerator.h.

{}

## ~IAccessor()

template<typename T>

IAccessor< T >::~IAccessor | ( |  | ) |

inline protected

Definition at line 96 of file Enumerator.h.

{} // TODO: needed?

## Member Function Documentation

## Current() [1/2]

template<typename T>

virtual const_reference IAccessor< T >::Current | ( |  | ) | const

pure virtual

Gets the current element in the collection (read only).

Implemented in CPolyCoeffsEnumerator, and CRecursivePolyCoeffsEnumerator< ConverterPolicy >.

## Current() [2/2]

template<typename T>

virtual reference IAccessor< T >::Current | ( |  | ) |

pure virtual

Gets the current element in the collection (read and write).

Implemented in CPolyCoeffsEnumerator, and CRecursivePolyCoeffsEnumerator< ConverterPolicy >.

The documentation for this class was generated from the following file:

- libpolys/coeffs/Enumerator.h